;;;; -*- Mode: LISP; Syntax: ANSI-Common-Lisp; Base: 10 -*-
;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; ID:      $Id: package.lisp,v 1.6 2003/08/04 16:13:58 kevin Exp $
;;;; Purpose: Package definition for XLUnit
;;;;
;;;; $Id: package.lisp,v 1.6 2003/08/04 16:13:58 kevin Exp $
;;;; *************************************************************************

(in-package #:cl-user)

(defpackage #:xlunit
  (:use #:cl)
  (:export
   
   ;; test-case.lisp
   #:test-case
   #:def-test-method
   #:setup
   #:teardown
   #:run-test
   #:make-test

   ;; assert
   #:assert-true
   #:assert-false
   #:assert-equal
   #:assert-eql
   #:test-failure
   #:failure

   ;; suite.lisp
   #:textui-test-run
   #:make-test-suite
   #:setup-testsuite-named
   #:teardown-testsuite-named
   #:add-test
   #:test-named
   #:remove-test
   #:tests
   
   ;; printer.lisp
   #:summary
   
   ;; result.lisp
   #:test-result
   #:make-test-result
   #:was-successful
   )
  (:documentation "This is the XLUnit Framework."))

